## org.apache.poi.hssf.dev
Class BiffViewer

    java.lang.Object
      org.apache.poi.hssf.dev.BiffViewer

public class BiffViewer
extends java.lang.Object

Utillity for reading in BIFF8 records and displaying data from them.

Author:
  Andrew C. Oliver (acoliver at apache dot org), Glen Stampoultzis (glens at apache.org)
See Also:
  `main(java.lang.String[])`

Constructor Summary
`BiffViewer(java.lang.String[] args)` Creates new BiffViewer

Method Summary
`static Record[]` `createRecords(java.io.InputStream in, boolean dump)` Create an array of records from an input stream
`static void` `main(java.lang.String[] args)` Method main with 1 argument just run straight biffview against given file
`void` `run()` Method run starts up BiffViewer...
`void` `setDump(boolean dump)` Method setDump - hex dump out data or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BiffViewer

    public BiffViewer(java.lang.String[] args)

  Creates new BiffViewer

Parameters:
  `args` -

Method Detail

### run

    public void run()

  Method run starts up BiffViewer...

### createRecords

    public static Record[] createRecords(java.io.InputStream in,
                                         boolean dump)
                                  throws RecordFormatException

  Create an array of records from an input stream

  Parameters:
    `in` - the InputStream from which the records will be obtained
    `dump` -
  Returns:
    an array of Records created from the InputStream
  Throws:
    `RecordFormatException` - on error processing the InputStream

### setDump

    public void setDump(boolean dump)

  Method setDump - hex dump out data or not.

  Parameters:
    `dump` -

### main

    public static void main(java.lang.String[] args)

  Method main with 1 argument just run straight biffview against given file

  with 2 arguments where the second argument is "on" - run biffviewer

  with hex dumps of records

  with 2 arguments where the second argument is "bfd" just run a big fat hex dump of the file...don't worry about biffviewing it at all

  Parameters:
    `args` -

Copyright © 2003 Apache Software Foundation.